Subject: bug#23642: 24.5; Dired Line Movement, Region Handling

From: Drew Adams <[email-masked]>
Date: Sat, 28 May 2016 16:22:40 -0700 (PDT)

> I find myself using the writable feature of Dired rather frequently, but
> one default of Dired's up/down movement (specifically the shift
> selection in Transient Mark mode) is difficult to work around. That is,
> I very often try to hold down shift and proceed down lines to create a
> region, but this doesn't work by default.

What do you mean that it does not work by default.  Is this what you
tried?

C-a    ; To move to bol
C-SPC  ; To activate the region
<down> <down>... ; To extend the region downward.

(Or `C-n' instead of `<down>'.)

What did you try, what did it do, and what did you expect it to do?

> I've temporarily solved this by making wrapper functions around
> `dired-next-line' and `dired-previous-line' that handle the shift
> selection

Were you describing WDired (editable Dired, after `C-x C-q') or
Dired?  In the former, <down> and `C-n' are bound to
`wdired-next-line', not `dired-next-line'.